diff --git a/changelog b/changelog
index d3ccbf9..346e9f2 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,4 @@
+20080415 tpd src/input/schaum1.input show Schaums-Axiom equivalence
 20080414 tpd src/input/Makefile add integration regression testing	
 20080414 tpd src/input/schaum34.input integrals of csch(ax)
 20080414 tpd src/input/schaum33.input integrals of csch(ax)
diff --git a/src/input/schaum1.input.pamphlet b/src/input/schaum1.input.pamphlet
index 8507428..7e7e8c4 100644
--- a/src/input/schaum1.input.pamphlet
+++ b/src/input/schaum1.input.pamphlet
@@ -7,8 +7,11 @@
 \eject
 \tableofcontents
 \eject
-\section{\cite{1}:14.59~~~~~$\displaystyle\int{\frac{dx}{ax+b}~dx}$}
-$$\int{\frac{dx}{ax+b}~dx}==\frac{1}{a}~\ln(ax+b)$$
+\section{\cite{1}:14.59~~~~~$\displaystyle
+\int{\frac{dx}{ax+b}}$}
+$$\int{\frac{1}{ax+b}}=
+\frac{1}{a}~\ln(ax+b)
+$$
 <<*>>=
 )spool schaum1.output
 )set message test on
@@ -16,21 +19,40 @@ $$\int{\frac{dx}{ax+b}~dx}==\frac{1}{a}~\ln(ax+b)$$
 )clear all
 
 --S 1
-integrate(1/(a*x+b),x)
+aa:=integrate(1/(a*x+b),x)
 --R
 --R        log(a x + b)
 --R   (1)  ------------
 --R              a
 --R                                          Type: Union(Expression Integer,...)
 --E 1
+
+--S 2
+bb:=1/a*log(a*x+b)
+--R
+--R        log(a x + b)
+--R   (2)  ------------
+--R              a
+--R                                                     Type: Expression Integer
+--E
+
+--S 3      14:59 Schaums and Axiom agree
+cc:=bb-aa
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
-\section{\cite{1}:14.60~~~~~$\displaystyle\int{\frac{x~dx}{ax+b}}$}
-$$\int{\frac{x~dx}{ax+b}}=\frac{x}{a}-\frac{b}{a^2}~\ln(ax+b)$$
+\section{\cite{1}:14.60~~~~~$\displaystyle
+\int{\frac{x~dx}{ax+b}}$}
+$$\int{\frac{x}{ax+b}}=
+\frac{x}{a}-\frac{b}{a^2}~\ln(ax+b)
+$$
 <<*>>=
 )clear all
 
---S 2
-integrate(x/(a*x+b),x)
+--S 4
+aa:=integrate(x/(a*x+b),x)
 --R 
 --R
 --R        - b log(a x + b) + a x
@@ -38,16 +60,36 @@ integrate(x/(a*x+b),x)
 --R                   2
 --R                  a
 --R                                          Type: Union(Expression Integer,...)
---E 2
+--E 
+
+--S 5
+bb:=x/a-b/a^2*log(a*x+b)
+--R
+--R        - b log(a x + b) + a x
+--R   (2)  ----------------------
+--R                   2
+--R                  a
+--R                                                     Type: Expression Integer
+--E
+
+--S 6      14:60 Schaums and Axiom agree
+cc:=bb-aa
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
-\section{\cite{1}:14.61~~~~~$\displaystyle\int{\frac{x^2~dx}{ax+b}}$}
-$$\int{\frac{x^2~dx}{ax+b}}=
-\frac{(ax+b)^2}{2a^3}-\frac{2b(ax+b)}{a^3}+\frac{b^2}{a^3}~\ln(ax+b)$$
+
+\section{\cite{1}:14.61~~~~~$\displaystyle
+\int{\frac{x^2~dx}{ax+b}}$}
+$$\int{\frac{x^2}{ax+b}}=
+\frac{(ax+b)^2}{2a^3}-\frac{2b(ax+b)}{a^3}+\frac{b^2}{a^3}~\ln(ax+b)
+$$
 <<*>>=
 )clear all
 
---S 3
-nn:=integrate(x^2/(a*x+b),x)
+--S 7
+aa:=integrate(x^2/(a*x+b),x)
 --R
 --R          2                2 2
 --R        2b log(a x + b) + a x  - 2a b x
@@ -55,13 +97,10 @@ nn:=integrate(x^2/(a*x+b),x)
 --R                        3
 --R                      2a
 --R                                          Type: Union(Expression Integer,...)
---E 3
-@
-To see that these are the same answers we put the prior result over
-a common fraction:
-<<*>>=
---S 4
-mm:=((a*x+b)^2-2*2*b*(a*x+b)+2*b^2*log(a*x+b))/(2*a^3)
+--E 
+
+--S 8
+bb:=(a*x+b)^2/(2*a^3)-(2*b*(a*x+b))/a^3+b^2/a^3*log(a*x+b)
 --R
 --R          2                2 2              2
 --R        2b log(a x + b) + a x  - 2a b x - 3b
@@ -69,12 +108,10 @@ mm:=((a*x+b)^2-2*2*b*(a*x+b)+2*b^2*log(a*x+b))/(2*a^3)
 --R                           3
 --R                         2a
 --R                                                     Type: Expression Integer
---E 4
-@
-and we take their difference:
-<<*>>=
---S 5
-pp:=mm-nn
+--E
+
+--S 9
+cc:=bb-aa
 --R
 --R            2
 --R          3b
@@ -82,50 +119,28 @@ pp:=mm-nn
 --R            3
 --R          2a
 --R                                                     Type: Expression Integer
---E 5
+--E
 @
-which is a constant with respect to x, and thus the constant C.
+This factor is constant with respect to $x$ as shown by taking the
+derivative. It is a constant of integration.
 <<*>>=
---S 6
-D(pp,x)
+--S 10     14:61 Schaums and Axiom differ by a constant
+differentiate(cc,x)
 --R
 --R   (4)  0
 --R                                                     Type: Expression Integer
---E 6
-@
-Alternatively we can differentiate the answers with respect to x:
-<<*>>=
---S 7
-D(nn,x)
---R
---R            2
---R           x
---R   (5)  -------
---R        a x + b
---R                                                     Type: Expression Integer
---E 7
+--E
 @
-<<*>>=
---S 8
-D(mm,x)
---R
---R            2
---R           x
---R   (6)  -------
---R        a x + b
---R                                                     Type: Expression Integer
---E 8
-@
-and see that they are indeed the same.
-
-\section{\cite{1}:14.62~~~~~$\displaystyle\int{\frac{x^3~dx}{ax+b}}$}
-$$\int{\frac{x^3~dx}{ax+b}}=
+\section{\cite{1}:14.62~~~~~$\displaystyle
+\int{\frac{x^3~dx}{ax+b}}$}
+$$\int{\frac{x^3}{ax+b}}=
 \frac{(ax+b)^3}{3a^4}-\frac{3b(ax+b)^2}{2a^4}+
-\frac{3b^2(ax+b)}{a^4}-\frac{b^3}{a^4}~\ln(ax+b)$$
+\frac{3b^2(ax+b)}{a^4}-\frac{b^3}{a^4}~\ln(ax+b)
+$$
 <<*>>=
 )clear all
 
---S 9
+--S 11
 aa:=integrate(x^3/(a*x+b),x)
 --R
 --R            3                 3 3     2   2       2
@@ -134,11 +149,11 @@ aa:=integrate(x^3/(a*x+b),x)
 --R                               4
 --R                             6a
 --R                                          Type: Union(Expression Integer,...)
---E 9
+--E
 @
 and the book expression is:
 <<*>>=
---S 10
+--S 12
 bb:=(a*x+b)^3/(3*a^4)-(3*b*(a*x+b)^2)/(2*a^4)+(3*b^2*(a*x+b))/a^4-(b^3/a^4)*log(a*x+b)
 --R
 --R            3                 3 3     2   2       2       3
@@ -147,13 +162,13 @@ bb:=(a*x+b)^3/(3*a^4)-(3*b*(a*x+b)^2)/(2*a^4)+(3*b^2*(a*x+b))/a^4-(b^3/a^4)*log(
 --R                                  4
 --R                                6a
 --R                                                     Type: Expression Integer
---E 10
+--E 
 @
 
 The difference is a constant with respect to x:
 <<*>>=
---S 11
-aa-bb
+--S 13
+cc:=aa-bb
 --R
 --R             3
 --R          11b
@@ -161,90 +176,92 @@ aa-bb
 --R             4
 --R           6a
 --R                                                     Type: Expression Integer
---E 11
+--E 
 @
 
-If we differentiate each expression we see
+If we differentiate each expression we see that this is the integration
+constant.
 <<*>>=
---S 12
-cc:=D(aa,x)
+--S 14     14:62 Schaums and Axiom differ by a constant
+dd:=D(cc,x)
 --R
---R            3
---R           x
---R   (4)  -------
---R        a x + b
---R                                                     Type: Expression Integer
---E 12
-@
-<<*>>=
---S 13
-dd:=D(bb,x)
---R
---R            3
---R           x
---R   (5)  -------
---R        a x + b
---R                                                     Type: Expression Integer
---E 13
-@
-<<*>>=
---S 14
-cc-dd
---R
---R   (6)  0
+--R   (4)  0
 --R                                                     Type: Expression Integer
---E 14
+--E 
 @
 
-\section{\cite{1}:14.63~~~~~$\displaystyle\int{\frac{dx}{x~(ax+b)}}$}
-$$\int{\frac{dx}{x~(ax+b)}}=\frac{1}{b}~\ln\left(\frac{x}{ax+b}\right)$$
+\section{\cite{1}:14.63~~~~~$\displaystyle
+\int{\frac{dx}{x~(ax+b)}}$}
+$$\int{\frac{1}{x~(ax+b)}}=
+\frac{1}{b}~\ln\left(\frac{x}{ax+b}\right)
+$$
 <<*>>=
 )clear all
 
 --S 15
-ff:=integrate(1/(x*(a*x+b)),x)
+aa:=integrate(1/(x*(a*x+b)),x)
 --R
 --R        - log(a x + b) + log(x)
 --R   (1)  -----------------------
 --R                   b
 --R                                          Type: Union(Expression Integer,...)
---E 15
+--E 
+
+--S 16
+bb:=1/b*log(x/(a*x+b))
+--R
+--R               x
+--R        log(-------)
+--R            a x + b
+--R   (2)  ------------
+--R              b
+--R                                                     Type: Expression Integer
+--E
+
+--S 17
+cc:=aa-bb
+--R
+--R                                         x
+--R        - log(a x + b) + log(x) - log(-------)
+--R                                      a x + b
+--R   (3)  --------------------------------------
+--R                           b
+--R                                                     Type: Expression Integer
+--E
 @
 but we know that $$\log(a)-\log(b)=\log(\frac{a}{b})$$
 
 We can express this fact as a rule:
 <<*>>=
---S 16
+--S 18
 logdiv:=rule(log(a)-log(b) == log(a/b))
 --R
 --R                                      a
---I   (2)  - log(b) + log(a) + %I == log(-) + %I
+--I   (4)  - log(b) + log(a) + %I == log(-) + %I
 --R                                      b
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
---E 16
+--E 
 @
 and use this rule to rewrite the logs into divisions:
 <<*>>=
---S 17
-logdiv ff
+--S 19     14:63 Schaums and Axiom agree
+dd:=logdiv cc
 --R
---R               x
---R        log(-------)
---R            a x + b
---R   (3)  ------------
---R              b
+--R   (5)  0
 --R                                                     Type: Expression Integer
---E 17
+--E
 @
 so we can see the equivalence directly.
 
-\section{\cite{1}:14.64~~~~~$\displaystyle\int{\frac{dx}{x^2~(ax+b)}}$}
-$$\int{\frac{dx}{x^2~(ax+b)}}=
--\frac{1}{bx}+\frac{a}{b^2}~\ln\left(\frac{ax+b}{x}\right)$$
+\section{\cite{1}:14.64~~~~~$\displaystyle
+\int{\frac{dx}{x^2~(ax+b)}}$}
+$$\int{\frac{1}{x^2~(ax+b)}}=
+-\frac{1}{bx}+\frac{a}{b^2}~\ln\left(\frac{ax+b}{x}\right)
+$$
 <<*>>=
 )clear all
 
---S 18
+--S 20
 aa:=integrate(1/(x^2*(a*x+b)),x)
 --R
 --R        a x log(a x + b) - a x log(x) - b
@@ -252,12 +269,12 @@ aa:=integrate(1/(x^2*(a*x+b)),x)
 --R                        2
 --R                       b x
 --R                                          Type: Union(Expression Integer,...)
---E 18
+--E 
 @
 
 The original form given in the book expands to:
 <<*>>=
---S 19
+--S 21
 bb:=-1/(b*x)+a/b^2*log((a*x+b)/x)
 --R
 --R                a x + b
@@ -267,48 +284,50 @@ bb:=-1/(b*x)+a/b^2*log((a*x+b)/x)
 --R                  2
 --R                 b x
 --R                                                     Type: Expression Integer
---E 19
+--E 
+
+--S 22
+cc:=aa-bb
+--R
+--R                                          a x + b
+--R        a log(a x + b) - a log(x) - a log(-------)
+--R                                             x
+--R   (3)  ------------------------------------------
+--R                             2
+--R                            b
+--R                                                     Type: Expression Integer
+--E
 @
 
 We can define the following rule to expand log forms:
 <<*>>=
---S 20
+--S 23
 divlog:=rule(log(a/b) == log(a) - log(b))
 --R
 --R            a
---R   (3)  log(-) == - log(b) + log(a)
+--R   (4)  log(-) == - log(b) + log(a)
 --R            b
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
---E 20
-@
-and apply it to the book form:
-<<*>>=
---S 21
-cc:= divlog bb
---R
---R        a x log(a x + b) - a x log(x) - b
---R   (4)  ---------------------------------
---R                        2
---R                       b x
---R                                                     Type: Expression Integer
---E 21
+--E 
 @
-and we can now see that the results are identical.
+and apply it to the difference
 <<*>>=
---S 22
-aa-cc
+--S 24     14:64 Schaums and Axiom agree
+divlog cc
 --R
 --R   (5)  0
 --R                                                     Type: Expression Integer
---E 22
+--E
 @
 
-\section{\cite{1}:14.65~~~~~$\displaystyle\int{\frac{dx}{x^3~(ax+b)}}$}
-$$\int{\frac{dx}{x^3~(ax+b)}}=
-\frac{2ax-b}{2b^2x^2}+\frac{a^2}{b^3}~\ln\left(\frac{x}{ax+b}\right)$$
+\section{\cite{1}:14.65~~~~~$\displaystyle
+\int{\frac{dx}{x^3~(ax+b)}}$}
+$$\int{\frac{1}{x^3~(ax+b)}}=
+\frac{2ax-b}{2b^2x^2}+\frac{a^2}{b^3}~\ln\left(\frac{x}{ax+b}\right)
+$$
 <<*>>=
 )clear all
---S 23
+--S 25
 aa:=integrate(1/(x^3*(a*x+b)),x)
 --R
 --R            2 2                 2 2                   2
@@ -317,11 +336,9 @@ aa:=integrate(1/(x^3*(a*x+b)),x)
 --R                               3 2
 --R                             2b x
 --R                                          Type: Union(Expression Integer,...)
---E 23
-@
+--E
 
-<<*>>=
---S 24
+--S 26
 bb:=(2*a*x-b)/(2*b^2*x^2)+a^2/b^3*log(x/(a*x+b))
 --R
 --R          2 2       x                 2
@@ -331,95 +348,121 @@ bb:=(2*a*x-b)/(2*b^2*x^2)+a^2/b^3*log(x/(a*x+b))
 --R                       3 2
 --R                     2b x
 --R                                                     Type: Expression Integer
---E 24
-@
+--E
 
-<<*>>=
---S 25
+--S 27
+cc:=aa-bb
+--R
+--R           2                2          2       x
+--R        - a log(a x + b) + a log(x) - a log(-------)
+--R                                            a x + b
+--R   (3)  --------------------------------------------
+--R                              3
+--R                             b
+--R                                                     Type: Expression Integer
+--E
+
+--S 28
 divlog:=rule(log(a/b) == log(a) - log(b))
 --R
 --R            a
---R   (3)  log(-) == - log(b) + log(a)
+--R   (4)  log(-) == - log(b) + log(a)
 --R            b
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
---E 25
-@
+--E
 
-<<*>>=
---S 26
-cc:=divlog bb
---R
---R            2 2                 2 2                   2
---R        - 2a x log(a x + b) + 2a x log(x) + 2a b x - b
---R   (4)  -----------------------------------------------
---R                               3 2
---R                             2b x
---R                                                     Type: Expression Integer
---E 26
-@
-
-<<*>>=
---S 27
-cc-aa
+--S 29     14:65 Schaums and Axiom agree
+dd:=divlog cc
 --R
 --R   (5)  0
 --R                                                     Type: Expression Integer
---E 27
+--E 
 @
 
-\section{\cite{1}:14.66~~~~~$\displaystyle\int{\frac{dx}{(ax+b)^2}}$}
-$$\int{\frac{dx}{(ax+b)^2}}=\frac{-1}{a~(ax+b)}$$
+\section{\cite{1}:14.66~~~~~$\displaystyle
+\int{\frac{dx}{(ax+b)^2}}$}
+$$\int{\frac{1}{(ax+b)^2}}=
+\frac{-1}{a~(ax+b)}
+$$
 <<*>>=
 )clear all
 
---S 28
-integrate(1/(a*x+b)^2,x)
+--S 30
+aa:=integrate(1/(a*x+b)^2,x)
 --R
 --R              1
 --R   (1)  - ---------
 --R           2
 --R          a x + a b
 --R                                          Type: Union(Expression Integer,...)
---E 28
+--E 
+
+--S 31
+bb:=-1/(a*(a*x+b))
+--R
+--R              1
+--R   (2)  - ---------
+--R           2
+--R          a x + a b
+--R                                            Type: Fraction Polynomial Integer
+--E
+
+--S 32     14:66 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
+
 @
 
-\section{\cite{1}:14.67~~~~~$\displaystyle\int{\frac{x~dx}{(ax+b)^2}}$}
-$$\int{\frac{x~dx}{(ax+b)^2}}=
-\frac{b}{a^2~(ax+b)}+\frac{1}{a^2}~\ln(ax+b)$$
+\section{\cite{1}:14.67~~~~~$\displaystyle
+\int{\frac{x~dx}{(ax+b)^2}}$}
+$$\int{\frac{x}{(ax+b)^2}}=
+\frac{b}{a^2~(ax+b)}+\frac{1}{a^2}~\ln(ax+b)
+$$
 <<*>>=
 )clear all
 
---S 29
-integrate(x/(a*x+b)^2,x)
+--S 33
+aa:=integrate(x/(a*x+b)^2,x)
 --R
 --R        (a x + b)log(a x + b) + b
 --R   (1)  -------------------------
 --R                 3     2
 --R                a x + a b
 --R                                          Type: Union(Expression Integer,...)
---E 29
-@
-and the book form expands to:
-<<*>>=
---S 30
-b/(a^2*(a*x+b))+(1/a^2)*log(a*x+b)
+--E 
+
+--S 34
+bb:=b/(a^2*(a*x+b))+1/a^2*log(a*x+b)
 --R
 --R        (a x + b)log(a x + b) + b
 --R   (2)  -------------------------
 --R                 3     2
 --R                a x + a b
 --R                                                     Type: Expression Integer
---E 30
+--E
+
+--S 35     14:67 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
+
 @
 
-\section{\cite{1}:14.68~~~~~$\displaystyle\int{\frac{x^2~dx}{(ax+b)^2}}$}
-$$\int{\frac{x^2~dx}{(ax+b)^2}}=
+\section{\cite{1}:14.68~~~~~$\displaystyle
+\int{\frac{x^2~dx}{(ax+b)^2}}$}
+$$\int{\frac{x^2}{(ax+b)^2}}=
 \frac{ax+b}{a^3}-\frac{b^2}{a^3~(ax+b)}
--\frac{2b}{a^3}~\ln(ax+b)$$
+-\frac{2b}{a^3}~\ln(ax+b)
+$$
 <<*>>=
 )clear all
 
---S 31
+--S 36
 aa:=integrate(x^2/(a*x+b)^2,x)
 --R
 --R                      2                 2 2            2
@@ -428,11 +471,11 @@ aa:=integrate(x^2/(a*x+b)^2,x)
 --R                             4     3
 --R                            a x + a b
 --R                                          Type: Union(Expression Integer,...)
---E 31
+--E 
 @
 and the book expression expands into
 <<*>>=
---S 32
+--S 37
 bb:=(a*x+b)/a^3-b^2/(a^3*(a*x+b))-((2*b)/a^3)*log(a*x+b)
 --R
 --R                      2                 2 2
@@ -441,57 +484,42 @@ bb:=(a*x+b)/a^3-b^2/(a^3*(a*x+b))-((2*b)/a^3)*log(a*x+b)
 --R                           4     3
 --R                          a x + a b
 --R                                                     Type: Expression Integer
---E 32
+--E 
 @
 
 These two expressions differ by the constant
 <<*>>=
---S 33
-aa-bb
+--S 38
+cc:=aa-bb
 --R
 --R           b
 --R   (3)  - --
 --R           3
 --R          a
 --R                                                     Type: Expression Integer
---E 33
+--E 
 @
 
-These are the same integrands as can be shown by differentiation:
+That this expression is constant can be shown by differentiation:
 <<*>>=
---S 34
-D(aa,x)
+--S 39     14:68 Schaums and Axiom differ by a constant
+D(cc,x)
 --R
---R                 2
---R                x
---R   (4)  ------------------
---R         2 2             2
---R        a x  + 2a b x + b
---R                                                     Type: Expression Integer
---E 34
-@
-
-<<*>>=
---S 35
-D(bb,x)
---R
---R                 2
---R                x
---R   (5)  ------------------
---R         2 2             2
---R        a x  + 2a b x + b
+--R   (4)  0
 --R                                                     Type: Expression Integer
---E 35
+--E 
 @
 
-\section{\cite{1}:14.69~~~~~$\displaystyle\int{\frac{x^3~dx}{(ax+b)^2}}$}
-$$\int{\frac{x^3~dx}{(ax+b)^2}}=
+\section{\cite{1}:14.69~~~~~$\displaystyle
+\int{\frac{x^3~dx}{(ax+b)^2}}$}
+$$\int{\frac{x^3}{(ax+b)^2}}=
 \frac{(ax+b)^2}{2a^4}-\frac{3b(ax+b)}{a^4}+\frac{b^3}{a^4(ax+b)}
-+\frac{3b^2}{a^4}~\ln(ax+b)$$
++\frac{3b^2}{a^4}~\ln(ax+b)
+$$
 <<*>>=
 )clear all
 
---S 36
+--S 40
 aa:=integrate(x^3/(a*x+b)^2,x)
 --R
 --R             2      3                 3 3     2   2       2      3
@@ -500,11 +528,9 @@ aa:=integrate(x^3/(a*x+b)^2,x)
 --R                                  5      4
 --R                                2a x + 2a b
 --R                                          Type: Union(Expression Integer,...)
---E 36
-@
+--E
 
-<<*>>=
---S 37
+--S 41
 bb:=(a*x+b)^2/(2*a^4)-(3*b*(a*x+b))/a^4+b^3/(a^4*(a*x+b))+(3*b^2/a^4)*log(a*x+b)
 --R
 --R             2      3                 3 3     2   2       2      3
@@ -513,12 +539,10 @@ bb:=(a*x+b)^2/(2*a^4)-(3*b*(a*x+b))/a^4+b^3/(a^4*(a*x+b))+(3*b^2/a^4)*log(a*x+b)
 --R                                  5      4
 --R                                2a x + 2a b
 --R                                                     Type: Expression Integer
---E 37
-@
+--E
 
-<<*>>=
---S 38
-aa-bb
+--S 42
+cc:=aa-bb
 --R
 --R          2
 --R        5b
@@ -526,51 +550,24 @@ aa-bb
 --R          4
 --R        2a
 --R                                                     Type: Expression Integer
---E 38
-@
+--E
 
-<<*>>=
---S 39
-cc:=D(aa,x)
+--S 43     14:69 Schaums and Axiom differ by a constant
+dd:=D(cc,x)
 --R
---R                 3
---R                x
---R   (4)  ------------------
---R         2 2             2
---R        a x  + 2a b x + b
---R                                                     Type: Expression Integer
---E 39
-@
-
-<<*>>=
---S 40
-dd:=D(bb,x)
---R
---R                 3
---R                x
---R   (5)  ------------------
---R         2 2             2
---R        a x  + 2a b x + b
---R                                                     Type: Expression Integer
---E 40
-@
-
-<<*>>=
---S 41
-cc-dd
---R
---R   (6)  0
+--R   (4)  0
 --R                                                     Type: Expression Integer
---E 41
+--E
 @
-
-\section{\cite{1}:14.70~~~~~$\displaystyle\int{\frac{dx}{x~(ax+b)^2}}$}
-$$\int{\frac{dx}{x~(ax+b)^2}}=
-\frac{1}{b~(ax+b)}+\frac{1}{b^2}~\ln\left(\frac{x}{ax+b}\right)$$
+\section{\cite{1}:14.70~~~~~$\displaystyle
+\int{\frac{dx}{x~(ax+b)^2}}$}
+$$\int{\frac{1}{x~(ax+b)^2}}=
+\frac{1}{b~(ax+b)}+\frac{1}{b^2}~\ln\left(\frac{x}{ax+b}\right)
+$$
 <<*>>=
 )clear all
 
---S 42
+--S 44
 aa:=integrate(1/(x*(a*x+b)^2),x)
 --R
 --R        (- a x - b)log(a x + b) + (a x + b)log(x) + b
@@ -578,11 +575,11 @@ aa:=integrate(1/(x*(a*x+b)^2),x)
 --R                             2     3
 --R                          a b x + b
 --R                                          Type: Union(Expression Integer,...)
---E 42
+--E
 @
 and the book says:
 <<*>>=
---S 43
+--S 45
 bb:=(1/(b*(a*x+b))+(1/b^2)*log(x/(a*x+b)))
 --R
 --R                        x
@@ -592,51 +589,52 @@ bb:=(1/(b*(a*x+b))+(1/b^2)*log(x/(a*x+b)))
 --R                   2     3
 --R                a b x + b
 --R                                                     Type: Expression Integer
---E 43
-@
+--E
 
+--S 46
+cc:=aa-bb
+--R
+--R                                         x
+--R        - log(a x + b) + log(x) - log(-------)
+--R                                      a x + b
+--R   (3)  --------------------------------------
+--R                           2
+--R                          b
+--R                                                     Type: Expression Integer
+--E
+@
 So we look at the divlog rule again:
 <<*>>=
---S 44
+--S 47
 divlog:=rule(log(a/b) == log(a) - log(b))
 --R
 --R            a
---R   (3)  log(-) == - log(b) + log(a)
+--R   (4)  log(-) == - log(b) + log(a)
 --R            b
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
---E 44
+--E
 @
 
 we apply it:
 <<*>>=
---S 45
-cc:=divlog bb
---R
---R        (- a x - b)log(a x + b) + (a x + b)log(x) + b
---R   (4)  ---------------------------------------------
---R                             2     3
---R                          a b x + b
---R                                                     Type: Expression Integer
---E 45
-@
-and we difference the two to find they are identical:
-<<*>>=
---S 46
-cc-aa
+--S 48     14:70 Schaums and Axiom agree
+dd:=divlog cc
 --R
 --R   (5)  0
 --R                                                     Type: Expression Integer
---E 46
+--E
 @
 
-\section{\cite{1}:14.71~~~~~$\displaystyle\int{\frac{dx}{x^2~(ax+b)^2}}$}
-$$\int{\frac{dx}{x^2~(ax+b)^2}}=
+\section{\cite{1}:14.71~~~~~$\displaystyle
+\int{\frac{dx}{x^2~(ax+b)^2}}$}
+$$\int{\frac{1}{x^2~(ax+b)^2}}=
 \frac{-a}{b^2~(ax+b)}-\frac{1}{b^2~x}+
-\frac{2a}{b^3}~\ln\left(\frac{ax+b}{x}\right)$$
+\frac{2a}{b^3}~\ln\left(\frac{ax+b}{x}\right)
+$$
 <<*>>=
 )clear all
 
---S 47
+--S 49
 aa:=integrate(1/(x^2*(a*x+b)^2),x)
 --R
 --R           2 2                              2 2                             2
@@ -645,11 +643,11 @@ aa:=integrate(1/(x^2*(a*x+b)^2),x)
 --R                                        3 2    4
 --R                                     a b x  + b x
 --R                                          Type: Union(Expression Integer,...)
---E 47
+--E
 @
 and the book says:
 <<*>>=
---S 48
+--S 50
 bb:=(-a/(b^2*(a*x+b)))-(1/(b^2*x))+((2*a)/b^3)*log((a*x+b)/x)
 --R
 --R           2 2              a x + b              2
@@ -659,50 +657,50 @@ bb:=(-a/(b^2*(a*x+b)))-(1/(b^2*x))+((2*a)/b^3)*log((a*x+b)/x)
 --R                          3 2    4
 --R                       a b x  + b x
 --R                                                     Type: Expression Integer
---E 48
+--E
+
+--S 51
+cc:=aa-bb
+--R
+--R                                             a x + b
+--R        2a log(a x + b) - 2a log(x) - 2a log(-------)
+--R                                                x
+--R   (3)  ---------------------------------------------
+--R                               3
+--R                              b
+--R                                                     Type: Expression Integer
+--E
 @
 which calls for our divlog rule:
 <<*>>=
---S 49
+--S 52
 divlog:=rule(log(a/b) == log(a) - log(b))
 --R
 --R            a
---R   (3)  log(-) == - log(b) + log(a)
+--R   (4)  log(-) == - log(b) + log(a)
 --R            b
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
---E 49
+--E
 @
 which we use to transform the result:
 <<*>>=
---S 50
-cc:=divlog bb
---R
---R           2 2                              2 2                             2
---R        (2a x  + 2a b x)log(a x + b) + (- 2a x  - 2a b x)log(x) - 2a b x - b
---R   (4)  ---------------------------------------------------------------------
---R                                        3 2    4
---R                                     a b x  + b x
---R                                                     Type: Expression Integer
---E 50
-@
-and we show they are identical:
-<<*>>=
---S 51
-dd:=aa-cc
+--S 53     14:71 Schaums and Axiom agree
+dd:=divlog cc
 --R
 --R   (5)  0
 --R                                                     Type: Expression Integer
---E 51
+--E
 @
-
-\section{\cite{1}:14.72~~~~~$\displaystyle\int{\frac{dx}{x^3~(ax+b)^2}}$}
-$$\int{\frac{dx}{x^3~(ax+b)^2}}=
+\section{\cite{1}:14.72~~~~~$\displaystyle
+\int{\frac{dx}{x^3~(ax+b)^2}}$}
+$$\int{\frac{1}{x^3~(ax+b)^2}}=
 -\frac{(ax+b)^2}{2b^4x^2}+\frac{3a(ax+b)}{b^4x}-
-\frac{a^3x}{b^4(ax+b)}-\frac{3a^2}{b^4}~\ln\left(\frac{ax+b}{x}\right)$$
+\frac{a^3x}{b^4(ax+b)}-\frac{3a^2}{b^4}~\ln\left(\frac{ax+b}{x}\right)
+$$
 <<*>>=
 )clear all
 
---S 52
+--S 54
 aa:=integrate(1/(x^3*(a*x+b)^2),x)
 --R
 --R   (1)
@@ -715,11 +713,9 @@ aa:=integrate(1/(x^3*(a*x+b)^2),x)
 --R         4 3     5 2
 --R     2a b x  + 2b x
 --R                                          Type: Union(Expression Integer,...)
---E 52
-@
+--E
 
-<<*>>=
---S 53
+--S 55
 bb:=-(a*x+b)^2/(2*b^4*x^2)+(3*a*(a*x+b))/(b^4*x)-(a^3*x)/(b^4*(a*x+b))-((3*a^2)/b^4)*log((a*x+b)/x)
 --R
 --R             3 3     2   2     a x + b      3 3     2   2       2     3
@@ -729,85 +725,53 @@ bb:=-(a*x+b)^2/(2*b^4*x^2)+(3*a*(a*x+b))/(b^4*x)-(a^3*x)/(b^4*(a*x+b))-((3*a^2)/
 --R                                    4 3     5 2
 --R                                2a b x  + 2b x
 --R                                                     Type: Expression Integer
---E 53
-@
-
-<<*>>=
---S 54
-divlog:=rule(log(a/b) == log(a) - log(b))
---R
---R            a
---R   (3)  log(-) == - log(b) + log(a)
---R            b
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
---E 54
-@
-
-<<*>>=
---S 55
-cc:=divlog bb
---R
---R   (4)
---R            3 3     2   2                   3 3     2   2            3 3
---R       (- 6a x  - 6a b x )log(a x + b) + (6a x  + 6a b x )log(x) + 3a x
---R     + 
---R         2   2       2     3
---R       9a b x  + 3a b x - b
---R  /
---R         4 3     5 2
---R     2a b x  + 2b x
---R                                                     Type: Expression Integer
---E 55
-@
+--E
 
-<<*>>=
 --S 56
-cc-aa
+cc:=aa-bb
 --R
---R          2
---R        3a
---R   (5)  ---
---R          4
---R        2b
+--R            2                 2           2    a x + b      2
+--R        - 6a log(a x + b) + 6a log(x) + 6a log(-------) - 3a
+--R                                                  x
+--R   (3)  -----------------------------------------------------
+--R                                   4
+--R                                 2b
 --R                                                     Type: Expression Integer
---E 56
-@
+--E
 
-<<*>>=
 --S 57
-dd:=D(aa,x)
+divlog:=rule(log(a/b) == log(a) - log(b))
 --R
---R                  1
---R   (6)  ---------------------
---R         2 5         4    2 3
---R        a x  + 2a b x  + b x
---R                                                     Type: Expression Integer
---E 57
-@
+--R            a
+--R   (4)  log(-) == - log(b) + log(a)
+--R            b
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
 
-<<*>>=
 --S 58
-ee:=D(bb,x)
+dd:=divlog cc
 --R
---R                  1
---R   (7)  ---------------------
---R         2 5         4    2 3
---R        a x  + 2a b x  + b x
+--R            2
+--R          3a
+--R   (5)  - ---
+--R            4
+--R          2b
 --R                                                     Type: Expression Integer
---E 58
-@
+--E
 
-<<*>>=
---S 59
-dd-ee
+--S 59     14:72 Schaums and Axiom differ by a constant
+ee:=D(dd,x)
 --R
---R   (8)  0
+--R   (6)  0
 --R                                                     Type: Expression Integer
---E 59
+--E
 @
 
-\section{\cite{1}:14.73~~~~~$\displaystyle\int{\frac{dx}{(ax+b)^3}}$}
-$$\int{\frac{dx}{(ax+b)^3}}=\frac{-1}{2a(ax+b)^2}$$
+\section{\cite{1}:14.73~~~~~$\displaystyle
+\int{\frac{dx}{(ax+b)^3}}$}
+$$\int{\frac{1}{(ax+b)^3}}=
+\frac{-1}{2a(ax+b)^2}
+$$
 <<*>>=
 )clear all
 
@@ -819,39 +783,54 @@ aa:=integrate(1/(a*x+b)^3,x)
 --R            3 2     2          2
 --R          2a x  + 4a b x + 2a b
 --R                                          Type: Union(Expression Integer,...)
---E 60
-@
+--E
 
-{\bf NOTE: }There is a missing factor of $1/a$ in the published book.
-This factor has been inserted here.
-<<*>>=
 --S 61
-bb:=-1/(2*a*(a*x+b)^2)
+bb:=-1/(2*(a*x+b)^2)
 --R
---R                     1
---R   (2)  - ----------------------
---R            3 2     2          2
---R          2a x  + 4a b x + 2a b
+--R                    1
+--R   (2)  - --------------------
+--R            2 2              2
+--R          2a x  + 4a b x + 2b
 --R                                            Type: Fraction Polynomial Integer
---E 61
-@
+--E
 
-<<*>>=
 --S 62
-aa-bb
+cc:=aa-bb
 --R
---R   (3)  0
+--R                 a - 1
+--R   (3)  ----------------------
+--R          3 2     2          2
+--R        2a x  + 4a b x + 2a b
+--R                                                     Type: Expression Integer
+--E
+
+--S 63
+dd:=aa/bb
+--R
+--R        1
+--R   (4)  -
+--R        a
+--R                                                     Type: Expression Integer
+--E
+
+--S 64     14:73 Schaums and Axiom differ by a constant
+ee:=D(dd,x)
+--R
+--R   (5)  0
 --R                                                     Type: Expression Integer
---E 62
+--E
 @
 
-\section{\cite{1}:14.74~~~~~$\displaystyle\int{\frac{x~dx}{(ax+b)^3}}$}
-$$\int{\frac{x~dx}{(ax+b)^3}}=
-\frac{-1}{a^2(ax+b)}+\frac{b}{2a^2(ax+b)^2}$$
+\section{\cite{1}:14.74~~~~~$\displaystyle
+\int{\frac{x~dx}{(ax+b)^3}}$}
+$$\int{\frac{x}{(ax+b)^3}}=
+\frac{-1}{a^2(ax+b)}+\frac{b}{2a^2(ax+b)^2}
+$$
 <<*>>=
 )clear all
 
---S 63
+--S 65
 aa:=integrate(x/(a*x+b)^3,x)
 --R
 --R              - 2a x - b
@@ -859,11 +838,9 @@ aa:=integrate(x/(a*x+b)^3,x)
 --R          4 2     3        2 2
 --R        2a x  + 4a b x + 2a b
 --R                                          Type: Union(Expression Integer,...)
---E 63
-@
+--E
 
-<<*>>=
---S 64
+--S 66
 bb:=-1/(a^2*(a*x+b))+b/(2*a^2*(a*x+b)^2)
 --R
 --R              - 2a x - b
@@ -871,26 +848,26 @@ bb:=-1/(a^2*(a*x+b))+b/(2*a^2*(a*x+b)^2)
 --R          4 2     3        2 2
 --R        2a x  + 4a b x + 2a b
 --R                                            Type: Fraction Polynomial Integer
---E 64
-@
+--E
 
-<<*>>=
---S 65
-aa-bb
+--S 67     14:74 Schaums and Axiom agree
+cc:=aa-bb
 --R
 --R   (3)  0
 --R                                                     Type: Expression Integer
---E 65
+--E
 @
 
-\section{\cite{1}:14.75~~~~~$\displaystyle\int{\frac{x^2~dx}{(ax+b)^3}}$}
-$$\int{\frac{x^2~dx}{(ax+b)^3}}=
+\section{\cite{1}:14.75~~~~~$\displaystyle
+\int{\frac{x^2~dx}{(ax+b)^3}}$}
+$$\int{\frac{x^2}{(ax+b)^3}}=
 \frac{2b}{a^3(ax+b)}-\frac{b^2}{2a^3(ax+b)^2}+
-\frac{1}{a^3}~\ln(ax+b)$$
+\frac{1}{a^3}~\ln(ax+b)
+$$
 <<*>>=
 )clear all
 
---S 66
+--S 68
 aa:=integrate(x^2/(a*x+b)^3,x)
 --R
 --R           2 2              2                           2
@@ -899,11 +876,9 @@ aa:=integrate(x^2/(a*x+b)^3,x)
 --R                        5 2     4        3 2
 --R                      2a x  + 4a b x + 2a b
 --R                                          Type: Union(Expression Integer,...)
---E 66
-@
+--E
 
-<<*>>=
---S 67
+--S 69
 bb:=(2*b)/(a^3*(a*x+b))-(b^2)/(2*a^3*(a*x+b)^2)+1/a^3*log(a*x+b)
 --R
 --R           2 2              2                           2
@@ -912,25 +887,25 @@ bb:=(2*b)/(a^3*(a*x+b))-(b^2)/(2*a^3*(a*x+b)^2)+1/a^3*log(a*x+b)
 --R                        5 2     4        3 2
 --R                      2a x  + 4a b x + 2a b
 --R                                                     Type: Expression Integer
---E 67
-@
+--E
 
-<<*>>=
---S 68
-aa-bb
+--S 70     14:75 Schaums and Axiom agree
+cc:=aa-bb
 --R
 --R   (3)  0
 --R                                                     Type: Expression Integer
---E 68
+--E
 @
 
-\section{\cite{1}:14.76~~~~~$\displaystyle\int{\frac{x^3~dx}{(ax+b)^3}}$}
-$$\int{\frac{x^3~dx}{(ax+b)^3}}=
+\section{\cite{1}:14.76~~~~~$\displaystyle
+\int{\frac{x^3~dx}{(ax+b)^3}}$}
+$$\int{\frac{x^3}{(ax+b)^3}}=
 \frac{x}{a^3}-\frac{3b^2}{a^4(ax+b)}+\frac{b^3}{2a^4(ax+b)^2}-
-\frac{3b}{a^4}~\ln(ax+b)$$
+\frac{3b}{a^4}~\ln(ax+b)
+$$
 <<*>>=
 )clear all
---S 69
+--S 71
 aa:=integrate(x^3/(a*x+b)^3,x)
 --R
 --R   (1)
@@ -940,11 +915,9 @@ aa:=integrate(x^3/(a*x+b)^3,x)
 --R                              6 2     5        4 2
 --R                            2a x  + 4a b x + 2a b
 --R                                          Type: Union(Expression Integer,...)
---E 69
-@
+--E
 
-<<*>>=
---S 70
+--S 72
 bb:=(x/a^3)-(3*b^2)/(a^4*(a*x+b))+b^3/(2*a^4*(a*x+b)^2)-(3*b)/a^4*log(a*x+b)
 --R
 --R   (2)
@@ -954,29 +927,27 @@ bb:=(x/a^3)-(3*b^2)/(a^4*(a*x+b))+b^3/(2*a^4*(a*x+b)^2)-(3*b)/a^4*log(a*x+b)
 --R                              6 2     5        4 2
 --R                            2a x  + 4a b x + 2a b
 --R                                                     Type: Expression Integer
---E 70
-@
+--E
 
-<<*>>=
---S 71
-aa-bb
+--S 73     14:76 Schaums and Axiom agree
+cc:=aa-bb
 --R
 --R   (3)  0
 --R                                                     Type: Expression Integer
---E 71
+--E
 @
 
-\section{\cite{1}:14.77~~~~~$\displaystyle\int{\frac{dx}{x(ax+b)^3}}$}
-$$\int{\frac{dx}{x(ax+b)^3}}=
+\section{\cite{1}:14.77~~~~~$\displaystyle
+\int{\frac{dx}{x(ax+b)^3}}$}
+$$\int{\frac{1}{x(ax+b)^3}}=
 \frac{3}{2b(ax+b)^2}+\frac{2ax}{2b^2(ax+b)^2}-
-\frac{1}{b^3}*\ln\left(\frac{ax+b}{x}\right)$$
-
-{\bf NOTE: }The equation given in the book is wrong. This is correct.
+\frac{1}{b^3}*\ln\left(\frac{ax+b}{x}\right)
+$$
 
 <<*>>=
 )clear all
 
---S 72
+--S 74
 aa:=integrate(1/(x*(a*x+b)^3),x)
 --R
 --R   (1)
@@ -989,68 +960,69 @@ aa:=integrate(1/(x*(a*x+b)^3),x)
 --R       2 3 2       4      5
 --R     2a b x  + 4a b x + 2b
 --R                                          Type: Union(Expression Integer,...)
---E 72
-@
+--E
 
-<<*>>=
---S 73
-bb:=3/(2*b*(a*x+b)^2)+(2*a*x)/(2*b^2*(a*x+b)^2)-1/b^3*log((a*x+b)/x)
+--S 75
+bb:=(a^2*x^2)/(2*b^3*(a*x+b)^2)-(2*a*x)/(b^3*(a*x+b))-(1/b^3)*log((a*x+b)/x)
 --R
---R             2 2              2     a x + b               2
---R        (- 2a x  - 4a b x - 2b )log(-------) + 2a b x + 3b
+--R             2 2              2     a x + b      2 2
+--R        (- 2a x  - 4a b x - 2b )log(-------) - 3a x  - 4a b x
 --R                                       x
---R   (2)  ---------------------------------------------------
---R                         2 3 2       4      5
---R                       2a b x  + 4a b x + 2b
+--R   (2)  -----------------------------------------------------
+--R                          2 3 2       4      5
+--R                        2a b x  + 4a b x + 2b
 --R                                                     Type: Expression Integer
---E 73
-@
+--E
 
-<<*>>=
---S 74
+--S 76
+cc:=aa-bb
+--R
+--R                                         a x + b
+--R        - 2log(a x + b) + 2log(x) + 2log(-------) + 3
+--R                                            x
+--R   (3)  ---------------------------------------------
+--R                               3
+--R                             2b
+--R                                                     Type: Expression Integer
+--E
+
+--S 77
 divlog:=rule(log(a/b) == log(a) - log(b))
 --R
 --R            a
---R   (3)  log(-) == - log(b) + log(a)
+--R   (4)  log(-) == - log(b) + log(a)
 --R            b
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
---E 74
-@
+--E
 
-<<*>>=
---S 75
-cc:=divlog bb
+--S 78
+dd:=divlog cc
 --R
---R   (4)
---R            2 2              2                   2 2              2
---R       (- 2a x  - 4a b x - 2b )log(a x + b) + (2a x  + 4a b x + 2b )log(x)
---R     + 
---R                  2
---R       2a b x + 3b
---R  /
---R       2 3 2       4      5
---R     2a b x  + 4a b x + 2b
+--R         3
+--R   (5)  ---
+--R          3
+--R        2b
 --R                                                     Type: Expression Integer
---E 75
-@
+--E
 
-<<*>>=
---S 76
-aa-cc
+--S 79     14:77 Schaums and Axiom differ by a constant
+ee:=D(dd,x)
 --R
---R   (5)  0
+--R   (6)  0
 --R                                                     Type: Expression Integer
---E 76
+--E
 @
 
-\section{\cite{1}:14.78~~~~~$\displaystyle\int{\frac{dx}{x^2(ax+b)^3}}$}
-$$\int{\frac{dx}{x^2(ax+b)^3}}=
+\section{\cite{1}:14.78~~~~~$\displaystyle
+\int{\frac{dx}{x^2(ax+b)^3}}$}
+$$\int{\frac{1}{x^2(ax+b)^3}}=
 \frac{-a}{2b^2(ax+b)^2}-\frac{2a}{b^3(ax+b)}-
-\frac{1}{b^3x}+\frac{3a}{b^4}~\ln\left(\frac{ax+b}{x}\right)$$
+\frac{1}{b^3x}+\frac{3a}{b^4}~\ln\left(\frac{ax+b}{x}\right)
+$$
 <<*>>=
 )clear all
 
---S 77
+--S 80
 aa:=integrate(1/(x^2*(a*x+b)^3),x)
 --R
 --R   (1)
@@ -1063,11 +1035,9 @@ aa:=integrate(1/(x^2*(a*x+b)^3),x)
 --R       2 4 3       5 2     6
 --R     2a b x  + 4a b x  + 2b x
 --R                                          Type: Union(Expression Integer,...)
---E 77
-@
+--E
 
-<<*>>=
---S 78
+--S 81
 bb:=-a/(2*b^2*(a*x+b)^2)-(2*a)/(b^3*(a*x+b))-1/(b^3*x)+((3*a)/b^4)*log((a*x+b)/x)
 --R
 --R           3 3      2   2       2      a x + b      2   2       2      3
@@ -1077,60 +1047,50 @@ bb:=-a/(2*b^2*(a*x+b)^2)-(2*a)/(b^3*(a*x+b))-1/(b^3*x)+((3*a)/b^4)*log((a*x+b)/x
 --R                              2 4 3       5 2     6
 --R                            2a b x  + 4a b x  + 2b x
 --R                                                     Type: Expression Integer
---E 78
-@
+--E
 
-<<*>>=
---S 79
+--S 82
+cc:=aa-bb
+--R
+--R                                             a x + b
+--R        3a log(a x + b) - 3a log(x) - 3a log(-------)
+--R                                                x
+--R   (3)  ---------------------------------------------
+--R                               4
+--R                              b
+--R                                                     Type: Expression Integer
+--E
+
+--S 83
 divlog:=rule(log(a/b) == log(a) - log(b))
 --R
 --R            a
---R   (3)  log(-) == - log(b) + log(a)
+--R   (4)  log(-) == - log(b) + log(a)
 --R            b
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
---E 79
-@
+--E
 
-<<*>>=
---S 80
-cc:=divlog bb
---R
---R   (4)
---R          3 3      2   2       2
---R       (6a x  + 12a b x  + 6a b x)log(a x + b)
---R     + 
---R            3 3      2   2       2             2   2       2      3
---R       (- 6a x  - 12a b x  - 6a b x)log(x) - 6a b x  - 9a b x - 2b
---R  /
---R       2 4 3       5 2     6
---R     2a b x  + 4a b x  + 2b x
---R                                                     Type: Expression Integer
---E 80
-@
-
-<<*>>=
---S 81
-cc-aa
+--S 84     14:78 Schaums and Axiom agree
+dd:=divlog cc
 --R
 --R   (5)  0
 --R                                                     Type: Expression Integer
---E 81
+--E
 @
 
-\section{\cite{1}:14.79~~~~~$\displaystyle\int{\frac{dx}{x^3(ax+b)^3}}$}
-$$\int{\frac{dx}{x^3(ax+b)^3}}=$$
-$$-\frac{1}{2bx^2(ax+b)^2}+
+\section{\cite{1}:14.79~~~~~$\displaystyle
+\int{\frac{dx}{x^3(ax+b)^3}}$}
+$$\int{\frac{1}{x^3(ax+b)^3}}=
+-\frac{1}{2bx^2(ax+b)^2}+
 \frac{2a}{b^2x(ax+b)^2}+
 \frac{9a^2}{b^3(ax+b)^2}+
 \frac{6a^3x}{b^4(ax+b)^2}-
 \frac{6a^2}{b^5}~\ln\left(\frac{ax+b}{x}\right)$$
 
-{\bf NOTE: }The equation given in the book is wrong. This is correct.
-
 <<*>>=
 )clear all
 
---S 82
+--S 85
 aa:=integrate(1/(x^3*(a*x+b)^3),x)
 --R
 --R   (1)
@@ -1143,11 +1103,9 @@ aa:=integrate(1/(x^3*(a*x+b)^3),x)
 --R       2 5 4       6 3     7 2
 --R     2a b x  + 4a b x  + 2b x
 --R                                          Type: Union(Expression Integer,...)
---E 82
-@
+--E
 
-<<*>>=
---S 83
+--S 86
 bb:=-1/(2*b*x^2*(a*x+b)^2)_
     +(2*a)/(b^2*x*(a*x+b)^2)_
     +(9*a^2)/(b^3*(a*x+b)^2)_
@@ -1165,10 +1123,9 @@ bb:=-1/(2*b*x^2*(a*x+b)^2)_
 --R       2 5 4       6 3     7 2
 --R     2a b x  + 4a b x  + 2b x
 --R                                                     Type: Expression Integer
---E 83
-@
-<<*>>=
---S 84
+--E
+
+--S 87
 cc:=aa-bb
 --R
 --R            2                 2           2    a x + b
@@ -1178,35 +1135,33 @@ cc:=aa-bb
 --R                                5
 --R                               b
 --R                                                     Type: Expression Integer
---E 84
-@
+--E
 
-<<*>>=
---S 85
+--S 88
 divlog:=rule(log(a/b) == log(a) - log(b))
 --R
 --R            a
 --R   (4)  log(-) == - log(b) + log(a)
 --R            b
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
---E 85
-@
+--E
 
-<<*>>=
---S 86
-divlog cc
+--S 89     14:79 Schaums and Axiom agree
+dd:=divlog cc
 --R
 --R   (5)  0
 --R                                                     Type: Expression Integer
---E 86
+--E
 @
 
-\section{\cite{1}:14.80~~~~~$\displaystyle\int{(ax+b)^n~dx}$}
-$$\int{(ax+b)^n~dx}=
-\frac{(ax+b)^{n+1}}{(n+1)a}{\rm\ provided\ }n \ne -1$$
+\section{\cite{1}:14.80~~~~~$\displaystyle
+\int{(ax+b)^n~dx}$}
+$$\int{(ax+b)^n}=
+\frac{(ax+b)^{n+1}}{(n+1)a}{\rm\ provided\ }n \ne -1
+$$
 <<*>>=
 )clear all
---S 87
+--S 90
 aa:=integrate((a*x+b)^n,x)
 --R
 --R                   n log(a x + b)
@@ -1214,44 +1169,208 @@ aa:=integrate((a*x+b)^n,x)
 --R   (1)  -------------------------
 --R                 a n + a
 --R                                          Type: Union(Expression Integer,...)
---E 87
-@
+--E
+
+--S 91
+bb:=(a*x+b)^(n+1)/((n+1)*a)
+--R
+--R                 n + 1
+--R        (a x + b)
+--R   (2)  --------------
+--R            a n + a
+--R                                                     Type: Expression Integer
+--E
 
+--S 92
+cc:=aa-bb
+--R
+--R                   n log(a x + b)            n + 1
+--R        (a x + b)%e               - (a x + b)
+--R   (3)  ------------------------------------------
+--R                          a n + a
+--R                                                     Type: Expression Integer
+--E
+@
+This messy formula can be simplified using the explog rule:
 <<*>>=
---S 88
+--S 93
 explog:=rule(%e^(n*log(x)) == x^n)
 --R
 --R          n log(x)     n
---R   (2)  %e         == x
+--R   (4)  %e         == x
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
---E 88
-@
+--E
 
-<<*>>=
---S 89 
-explog aa
+--S 94     14:80 Schaums and Axiom agree
+dd:=explog cc
 --R
---R                          n
---R        (a x + b)(a x + b)
---R   (3)  -------------------
---R              a n + a
+--R                   n + 1                     n
+--R        - (a x + b)      + (a x + b)(a x + b)
+--R   (5)  --------------------------------------
+--R                        a n + a
 --R                                                     Type: Expression Integer
---E 89
+--E
 @
+The numerator is clearly zero but I cannot get Axiom to simplify it.
 
-\section{\cite{1}:14.81~~~~~$\displaystyle\int{x(ax+b)^n~dx}$}
-$$\int{x(ax+b)^n~dx}=
+\section{\cite{1}:14.81~~~~~$\displaystyle
+\int{x(ax+b)^n~dx}$}
+$$\int{x(ax+b)^n}=
 \frac{(ax+b)^{n+2}}{(n+2)a^2}-\frac{b(ax+b)^{n+1}}{(n+1)a^2}
-{\rm\ provided\ }n \ne -1,-2$$
+{\rm\ provided\ }n \ne -1,-2
+$$
+<<*>>=
+)clear all
+--S 95
+aa:=integrate(x*(a*x+b)^n,x)
+--R
+--R           2     2  2              2   n log(a x + b)
+--R        ((a n + a )x  + a b n x - b )%e
+--R   (1)  ---------------------------------------------
+--R                       2 2     2      2
+--R                      a n  + 3a n + 2a
+--R                                          Type: Union(Expression Integer,...)
+--E
+
+--S 96
+bb:=((a*x+b)^(n+2))/((n+2)*a^2)-(b*(a*x+b)^(n+1))/((n+1)*a^2)
+--R
+--R                        n + 2                        n + 1
+--R        (n + 1)(a x + b)      + (- b n - 2b)(a x + b)
+--R   (2)  --------------------------------------------------
+--R                          2 2     2      2
+--R                         a n  + 3a n + 2a
+--R                                                     Type: Expression Integer
+--E
 
-\section{\cite{1}:14.82~~~~~$\displaystyle\int{x^2(ax+b)^n~dx}$}
-$$\int{x^2(ax+b)^n~dx}=
+--S 97
+cc:=aa-bb
+--R
+--R   (3)
+--R          2     2  2              2   n log(a x + b)                     n + 2
+--R       ((a n + a )x  + a b n x - b )%e               + (- n - 1)(a x + b)
+--R     + 
+--R                          n + 1
+--R       (b n + 2b)(a x + b)
+--R  /
+--R      2 2     2      2
+--R     a n  + 3a n + 2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 98
+explog:=rule(%e^(n*log(x)) == x^n)
+--R
+--R          n log(x)     n
+--R   (4)  %e         == x
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 99     14:81 Schaums and Axiom agreement cannot be determined
+dd:=explog cc
+--R
+--R   (5)
+--R                         n + 2                      n + 1
+--R       (- n - 1)(a x + b)      + (b n + 2b)(a x + b)
+--R     + 
+--R          2     2  2              2          n
+--R       ((a n + a )x  + a b n x - b )(a x + b)
+--R  /
+--R      2 2     2      2
+--R     a n  + 3a n + 2a
+--R                                                     Type: Expression Integer
+--E
+@
+\section{\cite{1}:14.82~~~~~$\displaystyle
+\int{x^2(ax+b)^n~dx}$}
+$$\int{x^2(ax+b)^n}=
 \frac{(ax+b)^{n+2}}{(n+3)a^3}-
 \frac{2b(ax+b)^{n+2}}{(n+2)a^3}+
 \frac{b^2(ax+b)^{n+1}}{(n+1)a^3}
-{\rm\ provided\ }n \ne -1,-2,-3$$
+{\rm\ provided\ }n \ne -1,-2,-3
+$$
 
 <<*>>=
+)clear all
+--S 100
+aa:=integrate(x^2*(a*x+b)^n,x)
+--R
+--R   (1)
+--R      3 2     3      3  3     2   2    2     2       2        3   n log(a x + b)
+--R   ((a n  + 3a n + 2a )x  + (a b n  + a b n)x  - 2a b n x + 2b )%e
+--R   -----------------------------------------------------------------------------
+--R                              3 3     3 2      3      3
+--R                             a n  + 6a n  + 11a n + 6a
+--R                                          Type: Union(Expression Integer,...)
+--E
+
+--S 101
+bb:=(a*x+b)^(n+3)/((n+3)*a^3)-(2*b*(a*x+b)^(n+2))/((n+2)*a^3)+(b^2*(a*x+b)^(n+1))/((n+1)*a^3)
+--R
+--R   (2)
+--R         2                   n + 3          2                      n + 2
+--R       (n  + 3n + 2)(a x + b)      + (- 2b n  - 8b n - 6b)(a x + b)
+--R     + 
+--R         2 2     2      2          n + 1
+--R       (b n  + 5b n + 6b )(a x + b)
+--R  /
+--R      3 3     3 2      3      3
+--R     a n  + 6a n  + 11a n + 6a
+--R                                                     Type: Expression Integer
+--E
+
+--S 102    14:82 Schaums and Axiom agreement cannot be determined
+cc:=aa-bb
+--R
+--R   (3)
+--R            3 2     3      3  3     2   2    2     2       2        3
+--R         ((a n  + 3a n + 2a )x  + (a b n  + a b n)x  - 2a b n x + 2b )
+--R      *
+--R           n log(a x + b)
+--R         %e
+--R     + 
+--R           2                   n + 3        2                      n + 2
+--R       (- n  - 3n - 2)(a x + b)      + (2b n  + 8b n + 6b)(a x + b)
+--R     + 
+--R           2 2     2      2          n + 1
+--R       (- b n  - 5b n - 6b )(a x + b)
+--R  /
+--R      3 3     3 2      3      3
+--R     a n  + 6a n  + 11a n + 6a
+--R                                                     Type: Expression Integer
+--E
+@
+\section{\cite{1}:14.83~~~~~$\displaystyle
+\int{x^m(ax+b)^n}~dx$}
+$$\int{x^m(ax+b)^n}
+\left\{
+\begin{array}{l}
+\displaystyle
+\frac{x^{m+1}(ax+b)^n}{m+n+1}
++\frac{nb}{m+n+1}\int{x^m(ax+b)^{n-1}}\\
+\\
+\displaystyle
+\frac{x^{m+1}(ax+b)^{n+1}}{(m+n+1)a}
+-\frac{mb}{(m+n+1)a}\int{x^{m-1}(ax+b)^n}\\
+\\
+\displaystyle
+\frac{-x^{m+1}(ax+b)^{n+1}}{(n+1)b}
++\frac{m+n+2}{(n+1)b}\int{x^m(ax+b)^{n+1}}\\
+\end{array}
+\right.
+$$
+
+<<*>>=
+--S 103    14:83 Axiom cannot do this integration
+aa:=integrate(x^m*(a*x+b)^n,x)
+--R
+--R           x
+--R         ++    m          n
+--I   (1)   |   %U (b + %U a) d%U
+--R        ++
+--R                                          Type: Union(Expression Integer,...)
+--E
+
 )spool
 )lisp (bye)
 @
